Subject: Re: [PATCH v3] gexp: Make 'local-file' follow symlinks.

From: Nigko Yerden <[email-masked]>
Date: Thu, 5 Sep 2024 10:06:22 +0500

Hello Florian,

pelzflorian (Florian Pelz) wrote:
> I also would favor to simplify `current-source-directory' and not add an
> optional follow-symlinks? argument.  I believe processing profiles is
> the only reasonable case that unconditionally following symlinks would
> break, and people do not do profile processing in outside code.
Why do you think that making 'current-source-directory' to always follow
symlinks would not break Guix's own code as well?

What are these people whose code would be broken supposed to do? I think
they would need to write their own 'current-source-directory' from scratch.
Why not help them by providing 'follow-symlinks?' argument?

Instead of 'current-source-directory' simplification we can also consider
changing the default for 'follow-symlinks?' to #t.

Regards,
Nigko